Bug 502114 - ipa user-mod unable to add user to a group reporting a object class violation
ipa user-mod unable to add user to a group reporting a object class violation
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-21 18:37 EDT by Michael Gregg
Modified: 2015-01-04 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2009-05-21 18:37:55 EDT
Description of problem:
When attempting to use user-mod to add a user to a group it reports Object class violation:attribute "groups" not allowed

Version-Release number of selected component (if applicable):
ipa-server-2.0-2.20090521.el5ipa

How reproducible:
always

Steps to Reproduce:
1. ipa user-add --first=user --last=002 --home=/usershome/u002 --shell=/usr/bash  u002  (success)
2. ipa group-add --description="group 100 stores user u001-u099" grp001   (success)
3. ipa user-mod --groups=grp001 u002 
  
Actual results:
ipa user-mod --groups=grp001 u002 
ipa: ERROR: Object class violation:attribute "groups" not allowed
Comment 1 Pavel Zuna 2009-11-20 10:57:58 EST
There is no --groups option in user-mod anymore. To add users to group, use:

ipa group-add-member randomgroup --users user1,user2,user3

Note You need to log in before you can comment on or make changes to this bug.